import json

from typing import List

from loguru import logger
from tencentcloud.nlp.v20190408 import nlp_client, models

from app.services.tencent_nlp import get_tencent_nlp_client


class MeetingInfoCatcher:

    def __init__(self, client: nlp_client.NlpClient, sentence: str):
        super(MeetingInfoCatcher, self).__init__()
        self.client = client
        self.sentence = sentence

    def run(self):
        req = models.LexicalAnalysisRequest()
        params = {
            'Text': self.sentence
        }
        req.from_json_string(json.dumps(params))

        resp = self.client.LexicalAnalysis(req)
        logger.debug(resp)


@logger.catch()
async def get_caught_result(sentence: str):
    client = get_tencent_nlp_client()
    catcher = MeetingInfoCatcher(client, sentence)
    catcher.run()
