from enum import Enum
from typing import List, Optional

from pydantic import BaseModel


class RoomSize(str, Enum):
    small = 'small'
    medium = 'medium'
    large = 'large'


class NLPResponseBase(BaseModel):
    Message: str


class MeetingInfoResponse(NLPResponseBase):
    AcceptableStartTime: Optional[str]
    AcceptableEndTime: Optional[str]
    MeetingTimeDelta: Optional[int]
    MeetingRoomSize: Optional[RoomSize]
    Topic: Optional[str]
    Participants: Optional[List[str]]
